Class | Tk::Iwidgets::Scrolledframe
In: | tk/lib/tkextlib/iwidgets/scrolledframe.rb
Parent: | Tk::Iwidgets::Scrolledwidget

### Methods

child_site justify xview xview_moveto xview_scroll yview yview_moveto yview_scroll

### Constants

TkCommandNames | = | ['::iwidgets::scrolledframe'.freeze].freeze
WidgetClassName | = | 'Scrolledframe'.freeze

### Public Instance methods

child_site()

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledframe.rb, line 21
      def child_site
        window(tk_call(@path, 'childsite'))
      end

justify(dir)

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledframe.rb, line 25
      def justify(dir)
        tk_call(@path, 'justify', dir)
        self
      end

xview(*index)

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledframe.rb, line 30
      def xview(*index)
        if index.size == 0
          list(tk_send_without_enc('xview'))
        else
          tk_send_without_enc('xview', *index)
          self
        end
      end

xview_moveto(*index)

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledframe.rb, line 38
      def xview_moveto(*index)
        xview('moveto', *index)
      end

xview_scroll(*index)

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledframe.rb, line 41
      def xview_scroll(*index)
        xview('scroll', *index)
      end

yview(*index)

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledframe.rb, line 45
      def yview(*index)
        if index.size == 0
          list(tk_send_without_enc('yview'))
        else
          tk_send_without_enc('yview', *index)
          self
        end
      end

yview_moveto(*index)

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledframe.rb, line 53
      def yview_moveto(*index)
        yview('moveto', *index)
      end

yview_scroll(*index)

[Source]

    # File tk/lib/tkextlib/iwidgets/scrolledframe.rb, line 56
      def yview_scroll(*index)
        yview('scroll', *index)
      end

[Validate]